from fastapi import FastAPI
from mcapi.APIv1 import default as v1_default, players as v1_players
from fastapi.middleware.cors import CORSMiddleware
from os import environ

HOST = environ["HOST"]

origins = ["*"]

api = FastAPI()

api.add_middleware(
    CORSMiddleware,
    allow_origins=origins,
    allow_credentials=True,
    allow_methods=["*"],
    allow_headers=["*"],
)

# APIv1
api.include_router(v1_default)
api.include_router(v1_players)
